ignores = %w(/dl/import.rb)

module Enumerable
  def all?
    self.each{|e|
      return false unless yield(e)
    }
    true
  end
end

ARGV.each{|dir|
  dir = File.expand_path(dir)
  Dir.glob(File.join(dir, '**/*.rb')){|file|
    p file
    if ignores.all?{|e|
      r = Regexp.compile(Regexp.escape(e))
      r !~ file
    }
      YARVCore::parse(File.read(file), file, 1)
    else
      puts "ignore: #{file}"
    end
  }
}
